<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 

/**
 * Popular Skin for Gnuboard4
 *
 * Copyright (c) 2008 Choi Jae-Young <www.miwit.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 

$date_gap_old = date("Y-m-d", strtotime($date_gap) - ($date_cnt * 86400));

$old = array();
$sql2 = " select pp_word, count(*) as cnt from $g4[popular_table]
	  where pp_date between '$date_gap_old' and '$date_gap'
	  group by pp_word
	  order by cnt desc, pp_word
	  limit 0, 100 ";
$qry2 = sql_query($sql2);
$count = mysql_num_rows($qry2);
for ($j=0; $row2=sql_fetch_array($qry2); $j++) {
    $old[$j] = $row2;
}

for ($i=0; $i<$pop_cnt; $i++) 
{
    for ($j=0; $j<$count; $j++) {
	if ($old[$j][pp_word] == $list[$i][pp_word]) {
	    break;
	}
    }

    $list[$i][pp_word] = urldecode($list[$i][pp_word]);
    $list[$i][pp_rank] = $i + 1;
    if ($count == $j) {
	$list[$i][old_pp_rank] = 0;
	$list[$i][rank_gap] = 0;
    } else {
	$list[$i][old_pp_rank] = $j + 1;
	$list[$i][rank_gap] = $list[$i][old_pp_rank] - $list[$i][pp_rank];
    }
    if ($list[$i][rank_gap] > 0)
	$list[$i][icon] = "up";
    else if ($list[$i][rank_gap] < 0)
	$list[$i][icon] = "down";
    else if ($list[$i][old_pp_rank] == 0)
	$list[$i][icon] = "new";
    else if ($list[$i][rank_gap] == 0)
	$list[$i][icon] = "nogap";
}
?>
<style type="text/css">
#mw-scroll-layer { width:150px; height:25px; position:relative; overflow:hidden; }
#mw-popular-scroll { position:absolute; }
#mw-popular-scroll table { width:160px; margin:0; padding:0;  }
#mw-popular-scroll td { margin:0; height:25px; }
#mw-popular-scroll a { color:#444; }
#mw-popular-scroll a:hover { color:#444; text-decoration:underline; }
#mw-popular-scroll .gap { color:#444; font-size:11px; letter-spacing:-1px;  }
#mw-popular-scroll .word { width:90px; height:16px; overflow:hidden; margin:2px 0 0 5px; }

#mw-popular-hidden { width:160px; position:absolute; display:none; background-color:#fff; background-color:#247d00; }
#mw-popular-hidden table { width:100px; }
#mw-popular-hidden td { margin:0; height:20px; }
#mw-popular-hidden .gap { color:#444; font-size:11px; letter-spacing:-1px;  }
#mw-popular-hidden .word { width:90px; height:16px; overflow:hidden; margin:2px 0 0 5px; }
#mw-popular-hidden .word a { color:#444; }
#mw-popular-hidden .word a:link { color:#444; }
#mw-popular-hidden .word a:visited { color:#444; }
#mw-popular-hidden .word a:active { color:#444; }
#mw-popular-hidden .word a:hover { color:#444; text-decoration:underline; }
</style>

<div id="mw-scroll-layer">
<div id="mw-popular-scroll">
<table border=0 cellpadding=0 cellspacing=0>
<? for ($i=0; $i<$pop_cnt; $i++) { ?>
<? if (!is_array($list[$i])) continue; ?>
<tr>
<td width="15"><img src="<?=$popular_skin_path?>/img/<?=sprintf("%02d", $i+1)?>.gif"></td>
<td>
    <div class="word"><a href="<?=$g4[bbs_path]?>/search.php?sfl=wr_subject&sop=and&stx=<?=urlencode($list[$i][pp_word])?>"><?=$list[$i][pp_word]?></a></div>
</td>
<td width="35">
    <img src="<?=$popular_skin_path?>/img/<?=$list[$i][icon]?>.gif" align=absmiddle>
    <span class="gap"><? if ($list[$i][icon] != "new" && $list[$i][icon] != "nogap") { echo abs($list[$i][rank_gap]); }?></span>
</td>
</tr>
<? } ?>
</table>
</div>
</div>

<div id="mw-popular-hidden">
<div style="margin:3px; background-color:#fff; padding:5px 0 10px 10px;">
<table border=0 cellpadding=0 cellspacing=0>
<? for ($i=0; $i<$pop_cnt; $i++) { ?>
<? if (!is_array($list[$i])) continue; ?>
<tr onmouseover="this.style.backgroundColor='#f1f1f1'" onmouseout="this.style.backgroundColor='#ffffff'">
<td width="15"><img src="<?=$popular_skin_path?>/img/<?=sprintf("%02d", $i+1)?>.gif"></td>
<td>
    <div class="word"><a href="<?=$g4[bbs_path]?>/search.php?sfl=wr_subject&sop=and&stx=<?=urlencode($list[$i][pp_word])?>"><?=$list[$i][pp_word]?></a></div>
</td>
<td width="35">
    <img src="<?=$popular_skin_path?>/img/<?=$list[$i][icon]?>.gif" align=absmiddle>
    <span class="gap"><? if ($list[$i][icon] != "new" && $list[$i][icon] != "nogap") { echo abs($list[$i][rank_gap]); }?></span>
</td>
</tr>
<? } ?>
</table>
</div>
</div>

<script type="text/javascript">
var phtime = null;
var kstime = null;
var d = 2000;
sl = document.getElementById("mw-scroll-layer");
ks = document.getElementById("mw-popular-scroll");
ph = document.getElementById("mw-popular-hidden");
ks.style.top = "0px";
function keyword_scroll() {
    if (phtime) { 
	clearTimeout(phtime);
	ph.style.display = "none";
	phtime = null;
    }
    var h = 25;
    var t = <?=$pop_cnt?>;
    var kst = parseInt(ks.style.top) - 1;
    ks.style.top = kst + "px";
    if (kst <= (((h * t)-10) * -1)) {
	kst = 20;
	ks.style.top = kst + "px";
    } else {
	ks.style.top = kst + "px";
    }
    if (kst % h == 0) {
	kstime = setTimeout("keyword_scroll()", d);
    } else {
	kstime = setTimeout("keyword_scroll()", 10);
    }
}
function keyword_layer() {
    clearTimeout(kstime);
    clearTimeout(phtime);
    kstime = phtime = null;
    ph.style.display = "block";
    ph.style.top = get_top_pos(sl);
}
function keyword_layer_on() {
    clearTimeout(phtime);
    clearTimeout(kstime);
    kstime = phtime = null;
}
function keyword_layer_out() {
    phtime = setTimeout("keyword_scroll()", 100);
}
setTimeout("keyword_scroll()", d);
ks.onmouseover = function() { keyword_layer(); }
ks.onmouseout = function() { keyword_layer_out(); }
ph.onmouseover = function() { keyword_layer_on(); } 
ph.onmouseout = function() { keyword_layer_out(); } 
</script>

